<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>suggestFee</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<link href="../../../styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="../../../images/nexa-64x64.png">
<link href="../../../images/logo-icon.svg">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="../../../index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/commonMain">common</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" data-page-type="member" id="content" pageIds="libnexakotlin::org.nexa.libnexakotlin/Wallet/suggestFee/#org.nexa.libnexakotlin.iTransaction#kotlin.Int#kotlin.Int/PointingToDeclaration//1316645254">
  <div class="breadcrumbs"><a href="../../../index.html">libnexakotlin</a><span class="delimiter">/</span><a href="../index.html">org.nexa.libnexakotlin</a><span class="delimiter">/</span><a href="index.html">Wallet</a><span class="delimiter">/</span><span class="current">suggestFee</span></div>
  <div class="cover ">
    <h1 class="cover"><span>suggest</span><wbr></wbr><span><span>Fee</span></span></h1>
  </div>
  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="suggest-fee.html"><span class="token function">suggestFee</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">tx<span class="token operator">: </span><a href="../i-transaction/index.html">iTransaction</a><span class="token punctuation">, </span></span><span class="parameter ">pad<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">0</span><span class="token punctuation">, </span></span><span class="parameter ">priority<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></div><p class="paragraph">Calculate a suggested fee for this transaction</p><span class="kdoc-tag"><h4 class="">Return</h4><p class="paragraph">The fee in satoshis</p></span><h4 class="">Parameters</h4><div class="table"><div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><u><span><span>tx</span></span></u></div></span></div><div><div class="title"><p class="paragraph">The transaction that needs a fee</p></div></div></div></div><div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><u><span><span>pad</span></span></u></div></span></div><div><div class="title"><p class="paragraph">Presume that the transaction is actually this much bigger</p></div></div></div></div><div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><u><span><span>priority</span></span></u></div></span></div><div><div class="title"><p class="paragraph">Some blockchain defined measure of the importance of this tx.  0 is the highest priority.  Irrelevant in BCH</p></div></div></div></div></div><h4 class="">Throws</h4><div class="table"><div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="../-wallet-exception/index.html"><span>Wallet</span><wbr></wbr><span><span>Exception</span></span></a></div></span></div><div><div class="title"><p class="paragraph">error specific subclasses of <a href="../-wallet-exception/index.html">WalletException</a> are thrown if the transaction cannot be constructed</p></div></div></div></div></div></div></div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
